# Packmangroup: Libraries
# Packmanpackagename: a52dec
# Packman : Manfred Tremmel
# Packmandesc: Free library to decoode ATSC A/52 audiostreams
# Packmandesc_de: Freie Bibliothek zur Dekodierung von ATSC A/52 Audiostreams

%define name        a52dec
%define version     0.7.4
%define release     5
%define mandir      %{_mandir}

Summary:        library for decoding ATSC A/52 streams
Summary(de):    Bibliothek zum dekodieren von ATSC A/52 Streams
Name:           %{name}
Version:        %{version}
Release:        %{release}
Copyright:      GPL
Group:          Development/Libraries/C and C++

Source0:        a52dec-0.7.4.tar.bz2
URL:            http://liba52.sourceforge.net/
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
Prefix:         %{_prefix}
#Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
#Vendor:         Packman
#Distribution:   SuSE Linux 9.1 (i586)
Autoreqprov:    On

%description
liba52 is a free library for decoding ATSC A/52 streams.

%description -l de
liba52 ist eine frei Biblothek zum dekodieren von ATSC A/52 Streams.

%prep

%setup

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC"
CC=gcc
export CC CFLAGS
./configure --prefix=%{prefix} --mandir=%{mandir} --libdir=%{_libdir} --enable-shared --enable-libsuffix=64
make

%install
[ "$RPM_BUILD_ROOT" = "/var/tmp/%{name}-%{version}-%{release}" ] && rm -rf $RPM_BUILD_ROOT;

make DESTDIR=$RPM_BUILD_ROOT install

/sbin/ldconfig -n $RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{mandir} -type f -exec gzip -9 {} \;

#find $RPM_BUILD_ROOT -type f -o -type l |sed -e "s|$RPM_BUILD_ROOT||g" > filelist

%postun
sbin/ldconfig

%post
sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" = "/var/tmp/%{name}-%{version}-%{release}" ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS HISTORY INSTALL NEWS TODO COPYING
%{prefix}/bin/*
%{prefix}/include/a52dec/*.h
%{_libdir}/*
%{mandir}/man1/*.gz

%changelog
* Tue Aug 24 2004 Joe Morris <joe_morris@ntm.org>
- modified to build on x86_64
* Tue Mar 25 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- changes to use Packman upload-script
* Sat Feb 22 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added --enable-shared
* Wed Feb 05 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added german description
- some changes I got from Philipp Thomas <pthomas@suse.de>
* Sat Jul 03 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- update to Version 0.7.4
* Thu May 30 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- update to Version 0.7.3
* Sat Dec 29 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first build


